/*
    gslrand.h
    GSL random number generator interface.
    $Id: gslrand.h,v 1.1 2014/12/19 02:40:25 daichi Exp $

 */
#ifndef __GSLRAND_H__
#define __GSLRAND_H__
#ifdef __cplusplus
extern "C" {
#endif
#include <gsl/gsl_rng.h>
#define	 RANDOM		gslrand ()
#define	 NRANDOM	gslnrand ()
#define	 NRAND		gslnrand ()

double gslrand ();
double gslnrand ();
gsl_rng *gslrng (void);

#ifdef __cplusplus
}
#endif
#endif
