/*
    random.h
    $Id: random.h,v 1.1 2014/12/19 02:40:04 daichi Exp $

 */
#ifndef __RANDOM_H__
#define __RANDOM_H__
#include <gsl/gsl_sf_gamma.h>
#include "gslrand.h"
#define	gsl_sf_gamma	gamma
#define	gsl_sf_lngamma	lgamma

double sgamrand (double a);
double gamrand (double a, double b);
double exprand (void);
double betarand (double a, double b);
int    irand (int n);
int    bernoulli (double p);

double gampdf (double x, double a, double b);
double lgampdf (double x, double a, double b);
double lexppdf (double x, double b);

void shuffle (int *v, int n);

#endif

