/*
    gamma.h
    header file for digamma and trigamma functions.
    $Id: gamma.h,v 1.1 2014/10/23 08:18:40 daichi Exp $

*/
#ifndef __GAMMA_H__
#define __GAMMA_H__
#ifdef __cplusplus
extern "C" {
#endif
#include <gsl/gsl_sf_gamma.h>
#define gsl_sf_gamma    gamma
#define gsl_sf_lngamma  lgamma

double digamma(double x);
double trigamma(double x);

#define psi(x)	digamma(x)
#define ppsi(x)	trigamma(x)

#ifdef __cplusplus
}
#endif
#endif
